Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class ProofOfPossession

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.ProofOfPossession

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class ProofOfPossession

extends ASN1Encodable
implements ASN1Choice

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static ProofOfPossession` `getInstance(java.lang.Object o)`
`ASN1Encodable` `getObject()`
`int` `getType()`
`DERObject` `toASN1Object()` ProofOfPossession ::= CHOICE { raVerified [0] NULL, -- used if the RA has already verified that the requester is in -- possession of the private key signature [1] POPOSigningKey, keyEncipherment [2] POPOPrivKey, keyAgreement [3] POPOPrivKey }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ProofOfPossession getInstance(java.lang.Object o)

### getType

    public int getType()

### getObject

    public ASN1Encodable getObject()

### toASN1Object

    public DERObject toASN1Object()

       ProofOfPossession ::= CHOICE {
                                 raVerified        [0] NULL,
                                 -- used if the RA has already verified that the requester is in
                                 -- possession of the private key
                                 signature         [1] POPOSigningKey,
                                 keyEncipherment   [2] POPOPrivKey,
                                 keyAgreement      [3] POPOPrivKey }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45